Bug 977017 - Review Request: dozer - Java Bean to Java Bean mapper
Review Request: dozer - Java Bean to Java Bean mapper
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On: xmlbeans-maven-plugin
Blocks: 968136
  Show dependency treegraph
 
Reported: 2013-06-22 12:30 EDT by gil cattaneo
Modified: 2015-02-06 23:18 EST (History)
2 users (show)

See Also:
Fixed In Version: dozer-5.5.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-06 23:00:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msimacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-06-22 12:30:14 EDT
Spec URL: http://gil.fedorapeople.org/dozer.spec
SRPM URL: http://gil.fedorapeople.org/dozer-5.4.0-1.fc18.src.rpm
Description:
Dozer is a Java Bean to Java Bean mapper that recursively
copies data from one object to another. Typically, these
Java Beans will be of different complex types.

Dozer supports simple property mapping, complex type mapping,
bi-directional mapping, implicit-explicit mapping, as well as
recursive mapping. This includes mapping collection attributes
that also need mapping at the element level.

Apache Camel Build/Requires


Fedora Account System Username: gil
Comment 2 Michael Simacek 2015-01-28 08:41:26 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues
======
- According to http://dozer.sourceforge.net/, there's a newer version available
- The LICENSE.md file contains only the license header, but not the full text,
  you should query upstream to include full text and in the meantime include it
  yourself as separate source file.

Have you tried building the eclipse plugin? Can you put a comment in the
specfile about it (why it's not built, what's missing).


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 198 files have unknown license.
     Detailed output of licensecheck in
     /home/msimacek/reviews/977017-dozer/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/maven-poms/dozer
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/maven-poms/dozer
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in dozer-
     javadoc
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: dozer-5.4.0-1.fc22.noarch.rpm
          dozer-javadoc-5.4.0-1.fc22.noarch.rpm
          dozer-5.4.0-1.fc22.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
dozer-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

dozer (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(commons-beanutils:commons-beanutils)
    mvn(org.apache.commons:commons-lang3)
    mvn(org.slf4j:jcl-over-slf4j)
    mvn(org.slf4j:slf4j-api)
    mvn(org.slf4j:slf4j-log4j12)



Provides
--------
dozer-javadoc:
    dozer-javadoc

dozer:
    dozer
    mvn(net.sf.dozer:dozer)
    mvn(net.sf.dozer:dozer-parent:pom:)
    mvn(net.sf.dozer:dozer:pom:)
    osgi(net.sf.dozer.dozer)



Source checksums
----------------
https://github.com/DozerMapper/dozer/archive/v5.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : 95cc13a9e929eca0d9a5cb3bd17c91739973f3be32476b58a960a57a144dd0e0
  CHECKSUM(SHA256) upstream package : 95cc13a9e929eca0d9a5cb3bd17c91739973f3be32476b58a960a57a144dd0e0


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 977017
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 3 gil cattaneo 2015-01-28 09:53:10 EST
(In reply to Michael Simacek from comment #2)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> Issues
> ======
> - According to http://dozer.sourceforge.net/, there's a newer version
> available
> - The LICENSE.md file contains only the license header, but not the full
> text,
>   you should query upstream to include full text and in the meantime include
> it
>   yourself as separate source file.
> 
Done, https://github.com/DozerMapper/dozer/issues/228
> Have you tried building the eclipse plugin? Can you put a comment in the
> specfile about it (why it's not built, what's missing).
Done, for eclipse plugin see https://github.com/DozerMapper/dozer/issues/209
in near future should be in a separate project

Spec URL: http://gil.fedorapeople.org/dozer.spec
SRPM URL: http://gil.fedorapeople.org/dozer-5.5.1-1.fc20.src.rpm

- update to 5.5.1, this release use Spring Framework 4.0.8

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=8752670
Comment 4 Michael Simacek 2015-01-29 04:44:23 EST
Looks ok now, APPROVED
Comment 5 gil cattaneo 2015-01-29 06:05:29 EST
Thanks for the review!

New Package SCM Request
=======================
Package Name: dozer
Short Description: Java Bean to Java Bean mapper
Upstream URL: http://dozer.sourceforge.net/
Owners: gil
Branches: f21
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2015-01-29 09:14:37 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2015-01-29 10:09:41 EST
dozer-5.5.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dozer-5.5.1-1.fc21
Comment 8 Fedora Update System 2015-01-29 23:33:58 EST
dozer-5.5.1-1.fc21 has been pushed to the Fedora 21 testing repository.
Comment 9 Fedora Update System 2015-02-06 23:00:39 EST
dozer-5.5.1-1.fc21 has been pushed to the Fedora 21 stable repository.

Note You need to log in before you can comment on or make changes to this bug.